Subject: Re: bug#78985: sort-float failure on ppc64, LDBL_MIN fraction part too long for test command to parse

From: "C. Neidahl" <[email-masked]>
Date: Fri, 11 Jul 2025 11:28:13 +0000

Am 10.07.25 um 19:20 schrieb Paul Eggert:
> Thanks for reporting that false positive in the test. I installed the
> attached patch, which should fix things.

The patch fixes the error with the long fraction part being unparsable, 
but it seems like the resulting order for the test input is still wrong. 
The LDBL_MIN fraction is longer than the DBL_MIN fraction, so it appears 
as a bigger number to test/expr, and the <= comparison fails.

↪ expr 225073858507201383090232717332 '<=' 2250738585072014 >/dev/null; 
echo $?
1

So the function still determines that DBL_MIN < LDBL_MIN, and the test 
fails due to exp != out. Maybe the two fractions could be cropped/padded 
with 0's to have the same length, or all of these comparisons / the 
expected output generation in general could be done in C?

- Cosima